<script setup>
import BaseOverlay from '@/component/BaseOverlay.vue'
import { Icon } from '@iconify/vue'

defineProps({
  title: {
    type: String,
    required: false,
    default: null
  },
  isClosable: {
    type: Boolean,
    required: false,
    default: true
  }
})

const emit = defineEmits([
  'event-close'
])
</script>

<template>
  <BaseOverlay>
    <div id="file-modal" class="file-modal">
      <div v-if="isClosable" class="file-modal__close" @click="emit('event-close')">
        <Icon icon="mdi:close" width="24px" height="24px" />
      </div>
      <div v-if="title ?? false" class="file-modal__header">
        <h4 class="file-modal__title">
          {{ title }}
        </h4>
      </div>
      <slot name="content"/>
    </div>
  </BaseOverlay>
</template>

<style lang="scss" scoped>
  .file-modal {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    background-color: $complementary-gray-3;
    border-radius: 8px;
    border: 1px solid $complementary-white-5;
    padding: 10px;
    display: flex;
    flex-direction: column;
    box-shadow: 0 0 50px 2px rgba(0, 0, 0, 0.64);
    &__header {
      display: block;
      margin: 0 auto;
      padding-right: 10px;
      padding-bottom: 1.5rem;
    }
    &__close {
      position: absolute;
      top: 22px;
      left: 22px;
      transform: translate(-50%, -50%);
      padding: 4px;
      border-radius: 50%;
      &:hover {
        background-color: $complementary-white-5;
      }
      svg {
        color: $complementary-white-50;
        display: block;
      }
    }
    &__title {
      color: $complementary-white;
      font-size: 14px;
    }
  }

  @media all and (max-width: 800px) {
    .file-modal {
      width: 100%;
      height: 100%;
    }
  }
</style>
